'' =================================================================================================
''
''   File....... plc_variable_template.spin
''   Purpose.... To move variables from PICoPLC compiled program to display in
''               PST 
''   Author..... William S
''              
''               
''   E-mail..... 
''   Started.... 
''   Updated.... 17 JUN 2011
''
'' ==============================================================================
var
  word upcount

con
  _CLKFREQ = 4000000 'Hz
  _CLKMODE = XTAL1 + PLL16X

  RX1     = 31                                                  ' programming/debug
  TX1     = 30
  
obj
  plc : "PLCcountdemo"       ' PICoPLC compiled program
  pst : "fullduplexserial"

pub Main | count

  PLC.Start
  pst.start(RX1, TX1, %0000, 115_200)                          ' start terminal
  repeat
    upcount := plc.readval
